## gate.creole
Class ResourceInstantiationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.creole.ResourceInstantiationException

All Implemented Interfaces:
  Serializable

public class ResourceInstantiationException
extends GateException

This exception indicates failure during instantiation of resources, which may be due to a number of causes:

- the resource metadata contains parameters that aren't available on the resource;
- the class for the resource cannot be found (e.g. because a Jar URL was incorrectly specified);
- because access to the resource class is denied by the class loader;
- because of insufficient or incorrect resource metadata.

See Also:
  Serialized Form

Constructor Summary
`ResourceInstantiationException()`
`ResourceInstantiationException(Exception e)`
`ResourceInstantiationException(String s)`

Method Summary
`void` `printStackTrace()` Overriden so we can print the enclosed exception's stacktrace too.
`void` `printStackTrace(PrintStream s)` Overriden so we can print the enclosed exception's stacktrace too.
`void` `printStackTrace(PrintWriter s)` Overriden so we can print the enclosed exception's stacktrace too.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceInstantiationException

    public ResourceInstantiationException()

### ResourceInstantiationException

    public ResourceInstantiationException(String s)

### ResourceInstantiationException

    public ResourceInstantiationException(Exception e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `GateException`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `GateException`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `Throwable`